/*************************************************
* Zeus CMD - C++ Tutorial 32 : Character Strings *
* By Grant James (ZEUS)                          *
* http://www.zeuscmd.com                         *
*************************************************/
#include <iostream>
#include <stdlib.h>
#include <string.h>

using namespace std;

int main()
{
	char str[50] = "Hello World";

	cout << "String Length : ";
	cout << (int)strlen(str) << endl;

	cout << "Appended String : ";
	strcat(str, ", Bob!");
	cout << str << endl;

	cout << "String from , : ";
	cout << strchr(str, ',') << endl;
	cout << "Position of , : ";
	cout << (int)(strchr(str, ',') - str) << endl;
	cout << "First position of o : ";
	cout << (int)(strchr(str, 'o') - str) << endl;
	cout << "Last position of o : ";
	cout << (int)(strrchr(str, 'o') - str) << endl;

	cout << "World Substring : ";
	cout << (int)(strstr(str, "World") - str) << endl;

	char str1[50] = "Hello";
	char str2[50] = "hello";

	if (!strcmp(str1, str2))
		cout << "Strings are the same." << endl;

	if (!strcasecmp(str1, str2))
		cout << "Strings are the same "
		<< "ignoring case." << endl;

	cout << "String Copy : ";
	strcpy(str2, str1);
	cout << str2 << endl;

	cout << "Substring Copy : ";
	strncpy(str1, str + 6, 5);
	cout << str1 << endl;

	system("sleep 1");

	return 0;
}
